Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface BooleanClassDescription

All Superinterfaces:
  FrontsNode, OntClass, OntResource, RDFNode, Resource

All Known Subinterfaces:
  ComplementClass, IntersectionClass, UnionClass

    public interface BooleanClassDescription

extends OntClass

Encapsulates a class description formed from a boolean combination of other class descriptions (ie union, intersection or complement).

Version:
  CVS $Id: BooleanClassDescription.java,v 1.13 2008/01/02 12:06:38 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`void` | `addOperand(Resource cls)` Add a class the operands of this boolean expression.
`void` | `addOperands(java.util.Iterator classes)` Add all of the classes from the given iterator to the operands of this boolean expression.
`RDFList` | `getOperands()` Answer the list of operands for this Boolean class expression.
`boolean` | `hasOperand(Resource cls)` Answer true if this Boolean class expression has the given class as an operand.
`ExtendedIterator` | `listOperands()` Answer an iterator over all of the clases that are the operands of this Boolean class expression.
`Property` | `operator()` Answer the property that is used to construct this boolean expression, for example `Profile.UNION_OF()`.
`void` | `removeOperand(Resource res)` Remove the given resource from the operands of this class expression.
`void` | `setOperands(RDFList operands)` Assert that the operands for this boolean class expression are the classes in the given list.

Methods inherited from interface com.hp.hpl.jena.ontology.OntClass
`addDisjointWith, addEquivalentClass, addSubClass, addSuperClass, asComplementClass, asEnumeratedClass, asIntersectionClass, asRestriction, asUnionClass, convertToComplementClass, convertToEnumeratedClass, convertToIntersectionClass, convertToRestriction, convertToUnionClass, createIndividual, createIndividual, dropIndividual, getDisjointWith, getEquivalentClass, getSubClass, getSuperClass, hasDeclaredProperty, hasEquivalentClass, hasSubClass, hasSubClass, hasSubClass, hasSuperClass, hasSuperClass, hasSuperClass, isComplementClass, isDisjointWith, isEnumeratedClass, isHierarchyRoot, isIntersectionClass, isRestriction, isUnionClass, listDeclaredProperties, listDeclaredProperties, listDisjointWith, listEquivalentClasses, listInstances, listInstances, listSubClasses, listSubClasses, listSuperClasses, listSuperClasses, removeDisjointWith, removeEquivalentClass, removeSubClass, removeSuperClass, setDisjointWith, setEquivalentClass, setSubClass, setSuperClass`

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setOperands

    void setOperands(RDFList operands)

  Assert that the operands for this boolean class expression are the classes in the given list. Any existing statements for the operator will be removed.

  Parameters:
    `operands` - The list of operands to this expression.
  Throws:
    `OntProfileException` - If the operand property is not supported in the current language profile.

### addOperand

    void addOperand(Resource cls)

  Add a class the operands of this boolean expression.

  Parameters:
    `cls` - A class that will be added to the operands of this Boolean expression
  Throws:
    `OntProfileException` - If the operand property is not supported in the current language profile.

### addOperands

    void addOperands(java.util.Iterator classes)

  Add all of the classes from the given iterator to the operands of this boolean expression.

  Parameters:
    `classes` - A iterator over classes that will be added to the operands of this Boolean expression
  Throws:
    `OntProfileException` - If the operand property is not supported in the current language profile.

### getOperands

    RDFList getOperands()

  Answer the list of operands for this Boolean class expression.

  Returns:
    A list of the operands of this expression.
  Throws:
    `OntProfileException` - If the operand property is not supported in the current language profile.

### listOperands

    ExtendedIterator listOperands()

  Answer an iterator over all of the clases that are the operands of this Boolean class expression. Each element of the iterator will be an `OntClass`.

  Returns:
    An iterator over the operands of the expression.
  Throws:
    `OntProfileException` - If the operand property is not supported in the current language profile.

### hasOperand

    boolean hasOperand(Resource cls)

  Answer true if this Boolean class expression has the given class as an operand.

  Parameters:
    `cls` - A class to test
  Returns:
    True if the given class is an operand to this expression.
  Throws:
    `OntProfileException` - If the operand property is not supported in the current language profile.

### removeOperand

    void removeOperand(Resource res)

  Remove the given resource from the operands of this class expression.

  Parameters:
    `res` - An resource to be removed from the operands of this class expression

### operator

    Property operator()

  Answer the property that is used to construct this boolean expression, for example `Profile.UNION_OF()`.

  Returns:
    The property used to construct this Boolean class expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP